<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
// ================================================================
// setzt einen status fuer eine persoenliche nachricht
// ================================================================
function isreaded($pn)
{
    global $db,$row, $THEME;
    
	$im = ($row->is_readed == "yes") ? "readed" : "unreaded";
	
    if ($row->reply == "yes")  $im = "reply";
    if ($row->forward == "yes") $im = "forward";

    $icon = '<img aling="" hspace="1" src="theme/' . $GLOBALS['theme'] . '/images/pn/' . $im . '.gif" border="0" />';
    return $icon;
} 


// ===============================================================
// <<-- UNGELESENE PN
//      GIBT ANZAHL NEUER NACHRICHTEN AUS(AB 4.2.0) -->>
// ===============================================================
function newpn()
{
	global $db;
	$sql = $GLOBALS['db']->Query("SELECT pnid FROM ".PREFIX."_pn WHERE to_uid='".UID."' AND is_readed='no' AND typ='inbox'");
	$num = $sql->numrows();
	
	$sql_all = $GLOBALS['db']->Query("SELECT pnid FROM ".PREFIX."_pn WHERE to_uid='".UID."' AND typ='inbox'");
	$num_all = $sql_all->numrows();
	
	if($num >= 1 && @$_REQUEST['p'] != 'pn' && MySettings('PnPopup') == 1) 
	{
		echo "<script>newPnInf('".HOME_PATH."');</script>";
	}
	
	echo " ($num|$num_all)";
	
}
?>